<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.wecloud.im.mapper.ImMessageMapper">

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
        id, create_time, withdraw_time, update_date, fk_appid, sender, content, withdraw, event, system, at, send_status, fk_conversation_id
    </sql>

        <select id="getImMessageById" resultType="com.wecloud.im.param.ImMessageQueryVo">
            select
            <include refid="Base_Column_List"/>
            from im_message where id = #{id}
        </select>

        <select id="getImMessagePageList" parameterType="com.wecloud.im.param.ImMessagePageParam" resultType="com.wecloud.im.param.ImMessageQueryVo">
            select
            <include refid="Base_Column_List"/>
            from im_message
        </select>

</mapper>
